export function setDataProvider(store: Object, error: Object, provider: Object): void;
export default configureStore;
declare function configureStore(options?: {}): import("redux").Store<import("redux").EmptyObject & {
    dataService: import("./store").IndexesDataService | null;
    appRegistry: unknown;
    namespace: string;
    serverVersion: string;
    inProgress: any;
    isVisible: any;
    fields: import("../modules/create-index/fields").IndexField[];
    schemaFields: string[];
    error: string | null;
    options: {
        name: {
            enabled: boolean;
        } & {
            value: string;
        };
        unique: {
            enabled: boolean;
        } & {
            value: boolean;
        };
        sparse: {
            enabled: boolean;
        } & {
            value: boolean;
        };
        collation: {
            enabled: boolean;
        } & {
            value: string;
        };
        expireAfterSeconds: {
            enabled: boolean;
        } & {
            value: string;
        };
        partialFilterExpression: {
            enabled: boolean;
        } & {
            value: string;
        };
        wildcardProjection: {
            enabled: boolean;
        } & {
            value: string;
        };
        columnstoreProjection: {
            enabled: boolean;
        } & {
            value: string;
        };
    };
}, import("redux").Action<any>> & {
    dispatch: any;
};
//# sourceMappingURL=create-index.d.ts.map